
Figure - Bug #119087
【VC1】【台架】【副屏】播放腾讯视频期间接听企业微信语音，企业微信通话声音不能正常输出
2023-07-24 16:29 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-07-24

Priority: High Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0722DB

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 腾讯视频调用了setmode为0，导致焦点被释放

Description

【前提条件】

1.设备网络正常

2.已下微信、企业微信、QQ、腾讯视频

3.网络正常

【操作步骤】

1.进入腾讯视频播放在线视频

2.企业微信接听语音

3.再次进入腾讯视频

4.使用企业微信通话

5.切回企业微信通话界面

【实际结果】

2.通话正常

3.视频正常播放

4.副屏没有通话声音输出

5.副屏没有通话声音输出

【预期结果】

语音和视频声音输出均正常

【备注】

History

#1 - 2023-07-24 16:32 - 物联网测试组_TSCD 王维

QQ与微信情况与企业微信现象一致

#2 - 2023-07-24 16:32 - 物联网测试组_TSCD 王维

- Priority changed from Normal to High

#3 - 2023-07-25 11:18 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL
当前分析

1.在企业微信通话过程中，腾讯视频调用setmode释放voice call焦点，导致通话无声。

## 企业微信开始通话

40999:07-24 16:23:25.702  1532  3484 D AudioService.PlaybackActivityMonitor: idcm_af:requestAudioFocusToIDCM:

event=2(PLAYER_STATE_STARTED)apc =AudioPlaybackConfiguration piid:1111 deviceId:0 type:android.media.AudioTrack u/pid:10099/13173 state:idle

attr:AudioAttributes: usage=USAGE_VOICE_COMMUNICATION content=CONTENT_TYPE_SPEECH flags=0x800 tags= bundle=null sessionId:977

41174:07-24 16:23:25.770   814 21889 D audio_hw_primary: adev_set_mode: mode 3 , prev_mode 0 

## 腾讯视频调用了setmode导致voice call焦点被释放，进而导致，通话无声。

45828:07-24 16:23:29.790  1532 30702 I MediaFocusControl: requestAudioFocus() from uid/pid 10113/7963 AA=USAGE_MEDIA/CONTENT_TYPE_MUSIC

clientId=android.media.AudioManager@3341ab2com.tencent.qqlive.modules.vb.qmtpluginkit.impl.plugin.audiofocus.d@4fdca03

callingPack=com.tencent.qqlive req=2 flags=0x0 sdk=33

45838:07-24 16:23:29.801  1532 30702 V AS.AudioService: setMode(mode=0, pid=7963, uid=10113, caller=com.tencent.qqlive)

45839:07-24 16:23:29.801  1532 30702 D AudioIDCMicroNegotiator: idcm_af:AudioIDCMicroNegotiator getIDCMicroAudioFocus: AudioFocus_VoiceCall

45840:07-24 16:23:29.801  1532 30702 D AS.AudioService: idcm_af:abandonAudioFocus, call: com.tencent.qqlive

45850:07-24 16:23:29.802  1532 30702 D AudioIDCMicroNegotiator: idcm_af:abandonIDCMicroAudioFocus: AudioFocus_VoiceCall

45851:07-24 16:23:29.802  1532 30702 D AudioIDCMicroNegotiator: idcm_common:requestResult method = abandonAudioFocus parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}

45852:07-24 16:23:29.802  1532 30702 I MicroServiceManager: requestResult(abandonAudioFocus) parameters

is{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}.

45853:07-24 16:23:29.802  1532 30702 D AudioIDCMicroNegotiator: idcm_af:obtainAbandonFocusState

45854:07-24 16:23:29.802  1532 30702 W AudioIDCMicroNegotiator: idcm_warn: abandon of obtainAbandonFocusState

45855:07-24 16:23:29.802  1532 30702 D AudioIDCMicroNegotiator: idcm_af:obtainAbandonFocusState, return: 0

45856:07-24 16:23:29.802  7963  7963 I AudioManager: In setSpeakerphoneOn(), on: true, calling application: com.tencent.qqlive

45857:07-24 16:23:29.802  1532  6272 I AS.AudioService: In setSpeakerphoneOn(), on: true, eventSource: setSpeakerphoneOn(true) from u/pid:10113/7963

45858:07-24 16:23:29.802  1532  1859 D AudioIDCMicroNegotiator: idcm_af:AudioIDCMicroNegotiator getIDCMicroAudioFocus: AudioFocus_VoiceCall

45859:07-24 16:23:29.802  1532  1859 D AS.AudioService: idcm_af:abandonAudioFocus, request: com.tencent.qqlive

45863:07-24 16:23:29.803  1532  1859 D AudioIDCMicroNegotiator: idcm_af:abandonIDCMicroAudioFocus FocusState: 0

下一步

调查一下腾讯视频为什么会调用setmode接口。

#4 - 2023-07-26 13:52 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

Hi ALL

当前现状：

根据当前问题，我们出了一个规避方案，不让腾讯视频调用setMode接口；

#5 - 2023-07-26 15:16 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

217727 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com
MM: Audio: Fix TencentVideo setmode errorFix TencentVideo setmode errorTC-RID: 0301-0900116IssueID:  TS-R-DF-119087Change-Id:

I422604e774e0a64f3a9de898deeae6620af81cb9

#6 - 2023-07-26 15:20 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 物联网测试组_TSCD 王维

- Resolution changed from -- to FIXED

- Root cause set to 腾讯视频调用了setmode为0，导致焦点被释放

#7 - 2023-07-26 15:21 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

该问题的规避方案已经合入，请使用7月27号的DB进行验证；

该问题为偶现，请使用最新版腾讯视屏进行验证，谢谢！

#8 - 2023-07-27 10:42 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from 物联网测试组_TSCD 王维 to Multimedia组-RD3_TSCD 梁卿山

#9 - 2023-07-27 11:04 - 物联网测试组_TSCD 王维

- File log.txt added

#10 - 2023-07-27 14:49 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from VERIFY_FAILED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 物联网测试组_TSCD 王维

Hi ALL

当前分析：

经过日志分析，发现是其他的patch导致了该问题验证失败，其他问题patch已经回退，请使用明天的DB进行验证，谢谢！

#11 - 2023-07-27 23:43 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

218219 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

MM: Audio: Fix TencentVideo setmode errorFix TencentVideo setmode errorTC-RID: 0301-0900116IssueID:  TS-R-DF-119087Change-Id:

I422604e774e0a64f3a9de898deeae6620af81cb9(cherry picked from commit 7529f6b11472f127886bfa1159a00813a1eac551)
#12 - 2023-07-28 16:28 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

【测试版本】0127

【测试详情】按描述测试5次

【测试结果】通过

#13 - 2023-07-28 16:29 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- % Done changed from 0 to 100

Files

jiaodian.txt 6.97 MB 2023-07-24 物联网测试组_TSCD 王维

log.txt 10.7 MB 2023-07-27 物联网测试组_TSCD 王维
